//   ==============================================================
//   | HISTORIQUE:                                                |
//   |                                                            |
//   |     Date    - Description                                  |
//   |                                                            |
//   |  27/11/2013 - Reprise existant, mutation vers XC8          |
//   |                                                            |
//   |  utilisation :                                             |
//   |  dclarer variable var de type APP_CLOCK_TIME_TYPE         |
//	 |   pour mesurer le temps ecoul, crire                     |
//	 |   	var = APP_CLOCK_GET_TIME_MS;                          |
//	 |   	delta = APP_CLOCK_MES_DELTA_TIME_MS ( var );          |
//   |                                                            |
//   ==============================================================





#ifndef APP_CLOCK_H_FILE
#define APP_CLOCK_H_FILE


    #include "hwi.h"
	
    #define APP_CLOCK_TIME_TYPE				uint16
    #define APP_CLOCK_GET_TIME_MS			APP_Clock_GetTime ()
    #define APP_CLOCK_TMR_CHAN				HWI_TIMER_CHAN_0

    #define APP_CLOCK_TRM_INT_EN			INTCONbits.TMR0IE
    #define APP_CLOCK_TRM_INT_FLAG			INTCONbits.TMR0IF


    extern volatile uint16	APP_CLOCK_ms_timebase;

    APP_CLOCK_TIME_TYPE APP_CLOCK_MES_DELTA_TIME_MS ( APP_CLOCK_TIME_TYPE li_val);

    void APP_Clock_interrupt ( void );
    void APP_Clock_init ( void );
    void APP_Clock_stop ( void );
    uint16 APP_Clock_GetTime ( void );



#endif

