#ifndef BOUTONS_H_FILE
#define BOUTONS_H_FILE

#define MASK_BTN_0      0x10
#define MASK_BTN_1      0x20
#define MASK_BTN_2      0x40
#define MASK_BTN_3      0x80


void gestion_boutons ( void );
void gestion_boutons_init ( void );

typedef struct{
    uint8   sw_val;
    uint8   etat;
    uint8   ordre;
    uint8   u8_cpt;
    uint8   u8_Changed;
}BTN_STR;


extern BTN_STR     btn_0;
extern BTN_STR     btn_1;
extern BTN_STR     btn_2;
extern BTN_STR     btn_3;


enum{
    CMD_APPUI_NONE,
    CMD_APPUI_SHORT,
    CMD_APPUI_LONG,
    CMD_APPUI_RELACHE
};


#endif