//   ==============================================================
//   | HISTORIQUE:                                                |
//   |                                                            |
//   |     Date    - Description                                  |
//   |                                                            |
//   |  27/11/2013 - Reprise existant, mutation vers XC8          |
//   |                                                            |
//   ==============================================================
#ifndef HWI_TIMER_METHODS_FILE
#define HWI_TIMER_METHODS_FILE




    //==============================================================
    //   TYPEDEFS ET STRUCTURES
    //==============================================================
    // Attention, il faut avoir le meme ordre que dans
    // la table hwi_TIMER_lut_table !
    typedef enum {
        HWI_TIMER_CHAN_0,
        HWI_TIMER_CHAN_1,
        HWI_TIMER_CHAN_2,
        HWI_TIMER_CHAN_3,
        HWI_TIMER_CHAN_4,
        HWI_TIMER_CFG_END
    }HWI_Timer_channel_type;



    //==============================================================
    //   FONCTIONS EXPORTEES
    //==============================================================
    void  HWI_timer_cfg 		( HWI_Timer_channel_type	li_channel, uint32 li_periode_us);
    void  HWI_timer_enable 		( HWI_Timer_channel_type	li_channel);
    void  HWI_timer_disable     ( HWI_Timer_channel_type	li_channel);
    void  HWI_timer_reload 		( HWI_Timer_channel_type	li_channel);



#endif



