#ifndef DIMMER_H_FILE
#define DIMMER_H_FILE

#include "hwi.h"
    enum{
        DIMM_CHAN_0,
        DIMM_CHAN_1,
        DIMM_CHAN_2,
        DIMM_CHAN_3
    };

    #define DIMM_STEP_PER_DEMI_ER   40

    //-----------------------------------------------------------------------------
    enum{
        DIMMER_ETAT_OFF,
        DIMMER_ETAT_ON,
    };

    typedef struct{
        uint8   val;
        uint8   etat;
        uint8   sens;
    }DIMMER;


    extern DIMMER  dimmer_chan0;
    extern DIMMER  dimmer_chan1;
    extern DIMMER  dimmer_chan2;
    extern DIMMER  dimmer_chan3;


    void    dimmer_init                 ();
    void    dimmer_SignalZeroCross      ();
    void    dimmer_setdimm              ( uint8 li_u8_chan, uint8 li_u8_val);
    void    dimmer_it_handler           ();
    void    dimmer_gest_btn             ( void );
    
#endif
